{
  "authentication": {
    "type": "api_token",
    "token": "1c97c52596abc18d3f727df3a620b5ef3f4f7d29",
    "crmPhoneTest": "5511988325936"
  },
  "crmRest": [
    {
      "createContactRecord": {
        "request": {
          "requestContentType": "application/json",
          "requestEncoding": "Json",
          "requestType": "Post",
          "responseType": "Json",
          "url": "https://api.pipedrive.com/v1/persons"
        },
        "body": {
          "name": "crmFirstName",
          "phone": [
            {
              "value": "crmPhone",
              "primary": true,
              "label": "mobile"
            }
          ]
        },

        "response": {
          "id": "data.id"
        }
      }
    },
    {
      "lookupContactByPhone": {
        "request": {
          "requestContentType": "application/json",
          "requestEncoding": "Json",
          "requestType": "Get",
          "responseType": "Json",
          "url": "https://api.pipedrive.com/v1/persons/search?term=crmPhone"
        },
        "response": {
          "phone": "data.items[0].item.phones[0]",
          "id": "data.items[0].item.id"
        }
      }
    },
    {
      "callJournaling": {
        "request": {
          "requestContentType": "application/json",
          "requestEncoding": "Json",
          "requestType": "Post",
          "responseType": "Json",
          "url": "https://api.pipedrive.com/v1/activities"
        },
        "calls": [
          {
            "inboundAnsweredCall": {
              "subject": "Ligação recebida",
              "type": "Call",
              "person_id": "crmContactId",
              "done": "1",
              "due_date": "YYYY-MM-DD",
              "due_time": "HH:MM"
            }
          },
          {
            "inboundMissedCall": {
              "subject": "Ligação perdida",
              "type": "Call",
              "person_id": "crmContactId",
              "done": "0",
              "due_date": "YYYY-MM-DD",
              "due_time": "HH:MM"
            }
          },
          {
            "outboundAnsweredCall": {
              "subject": "Ligação realizada",
              "type": "Call",
              "person_id": "crmContactId",
              "done": "1",
              "due_date": "YYYY-MM-DD",
              "due_time": "HH:MM",
              "note": ""
            }
          },
          {
            "outboundUnansweredCall": {
              "subject": "Ligação realizada perdida",
              "type": "Call",
              "person_id": "crmContactId",
              "done": "0",
              "due_date": "YYYY-MM-DD",
              "due_time": "HH:MM"
            }
          }
        ],
        "response": {}
      }
    }
  ]
}
